Home

# Class goog.debug.LogBuffer

Creates the log buffer.

Instance Method Summary
| `addRecord(?goog.debug.Logger.Level level, string msg, string loggerName) ⇒ !goog.debug.LogRecord` Adds a log record to the buffer, possibly overwriting the oldest record.
| `clear()` Removes all buffered log records.
| `forEachRecord(function (goog.debug.LogRecord): ? func)` Calls the given function for each buffered log record, starting with the oldest one.

Static Method Summary
| `getInstance() ⇒ !goog.debug.LogBuffer` A static method that always returns the same instance of LogBuffer.
| `isBufferingEnabled() ⇒ boolean`